{% extends "base_homes.html" %}

{% block article %}

<!-- New Article Creation Form
    ================================================== -->

    <div class="panel panel-success">
        <div class="panel-heading" align="center"><h2><em>Create New Article</em></h2></div>

        <div class="panel-body">
                  
            <form method="POST" action="{% url 'new_article' %}" class="form-group" role="form" style="padding:5%" enctype="multipart/form-data" > {% csrf_token %}
   
                <div>

                    <p><label>Article Title : </label><input class="form-control" id="id_title" maxlength="300" name="title" type="text" value="{{ title }}" required autofocus /></p>

                    <input type="hidden" id="id_writer" maxlength="120" name="writer" value="{{ session_name }}" />
                    <br />

  		            <p><label>Select a Category : </label><select class="form-control" id="id_category" name="category">
  			           {% for key in tag %}
    			         <option>{{ key }}</option>
    		          {% endfor %}
  		            </select></p>

                    <br />
                    <p><label>Article Body : </label><textarea class="form-control" cols="40" id="id_body" name="body" rows="10">{{ body }}</textarea></p>

                    <p><input id="id_private" name="private" type="checkbox" /><b> Hide Article</b></p>
        
                    <p><label for="image">Choose a Image (optional) : </label> <input id="image" name="image" type="file"/></p>

                    </br>
                    <p align="center">
                        <button class="btn btn-success btn-lg" type="submit"><i class="glyphicon glyphicon-ok-sign"></i> Create Article</button>
                        <button class="btn btn-warning btn-lg " type="reset"><i class="glyphicon glyphicon-repeat"></i> Reset</button>
                    </p>

                </div>

            </form>

        </div>
        
    </div>

    <!-- CK Editor -->
    <script src="/static/js/ckeditor_custom/ckeditor.js"></script>
    <script type="text/javascript">
        CKEDITOR.replace( 'id_body' );
    </script>
    

{% endblock article %}